Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.spi
Interface ArrivalProcessFactory

    public interface ArrivalProcessFactory

Provdes a method to create an arrival process from the user-specified parameters.

Method Summary
`ContactArrivalProcess` | `createArrivalProcess(CallCenter cc, ArrivalProcessManager am, ArrivalProcessParams par)` Constructs and returns an arrival process for the call center model `cc` and the arrival process parameters `par`.
`boolean` | `estimateParameters(ArrivalProcessParams par, int[][] data, double periodDuration)` Estimates the parameters of an arrival process using the data given in the 2D array `data`.

Method Detail

### createArrivalProcess

    ContactArrivalProcess createArrivalProcess(CallCenter cc,
                                               ArrivalProcessManager am,
                                               ArrivalProcessParams par)
                                               throws ArrivalProcessCreationException

  Constructs and returns an arrival process for the call center model `cc` and the arrival process parameters `par`. This method uses the `ArrivalProcessParams.getType()` to get the type string of the arrival process given by the user, and returns an arrival process if it supports that particular type identifier. Otherwise, it returns `null`. An arrival-process-creation exception is thrown only if the given arrival process is supported by the implementation, but some error occurs during the construction of the arrival process, e.g., invalid parameters.

  Parameters:
    `cc` - the call center model.
    `par` - the router's parameters.
  Returns:
    the new router, or `null`.
  Throws:
    `ArrivalProcessCreationException`

### estimateParameters

    boolean estimateParameters(ArrivalProcessParams par,
                               int[][] data,
                               double periodDuration)

  Estimates the parameters of an arrival process using the data given in the 2D array `data`. The given array is a N×P matrix where N is the number of vectors of observations, and P is the number of main periods. If estimation is successful, the method updates the parameter object `par` with the estimated parameters, and returns `true`. Otherwise, it throws an illegal-argument exception. The method returns `false` if it does not recognize the type of arrival process described by `par`.

  Parameters:
    `par` - the parameters of the arrival process.
    `data` - the 2D array of vectors of observations.
    `periodDuration` - the duration of main periods, in simulation time units.
  Returns:
    the sucess indicator of the estimation.
  Throws:
    `IllegalArgumentException` - if an error occurs during parameter estimation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.